Only link jemalloc for the Telegram binary

Some combination of factors is making the different codegen tools hang when
jemalloc is linked for those, and they're ran under portage's sandbox. Since
this is only used during build-time, and jemalloc is merely necessary to
improve runtime memory use, it's unnecessary to use it for anything else.

--- tdesktop-3.5.2-full.orig/Telegram/CMakeLists.txt
+++ tdesktop-3.5.2-full/Telegram/CMakeLists.txt
@@ -1357,6 +1357,12 @@
             desktop-app::external_kwayland
         )
     endif()
+
+    target_link_libraries(Telegram
+    PRIVATE
+        desktop-app::linux_jemalloc_helper
+        $<TARGET_OBJECTS:desktop-app::linux_jemalloc_helper>
+    )
 endif()
 
 if (build_macstore)
--- tdesktop-3.5.2-full.orig/cmake/options_linux.cmake
+++ tdesktop-3.5.2-full/cmake/options_linux.cmake
@@ -64,8 +64,6 @@
 
 target_link_libraries(common_options
 INTERFACE
-    desktop-app::linux_jemalloc_helper
-    $<TARGET_OBJECTS:desktop-app::linux_jemalloc_helper>
     ${CMAKE_DL_LIBS}
 )
 
